uk.gov.hmrc.cato.time

# DateHelper

###
Related Docs: trait DateHelper | package time

#### object DateHelper extends DateHelper

Linear Supertypes
DateHelper, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DateHelper
2. DateHelper
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def fakeTimeOffsetInMillis: Long

   Definition Classes
     DateHelper

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def getCurrentDate(): LocalDate

    Attributes
      protected[uk.gov.hmrc.cato.time]
    Definition Classes
      DateHelper

12. #### def getFakeDateOffset(): Long

    Definition Classes
      DateHelper

13. #### def getFakeDateString(): Option[String]

    Definition Classes
      DateHelper

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### def isFakeDateActive(): Boolean

    Definition Classes
      DateHelper

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def now(): LocalDate

    Definition Classes
      DateHelper

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from DateHelper

### Inherited from AnyRef

### Inherited from Any

### Ungrouped